﻿
////////////////////////////////////////////////////////////////////////////
function todControl(title) {
	//var todDiv = null;

	this.setTime = setTime;	
	
	this.todDiv = document.createElement("div");
	this.todDiv.className = "tod_control";

	this.header = document.createElement("h3");
	this.todDiv.appendChild(this.header);
	this.header.innerHTML = title;
	
	{ //hour
		this.hourDiv = document.createElement("div");
		this.todDiv.appendChild(this.hourDiv);
		this.hourDiv.className="tw_hour_box";
		
		this.hourLabel = document.createElement("div");
		this.hourDiv.appendChild(this.hourLabel);
		this.hourLabel.className = "tod_label";
		this.hourLabel.innerHTML = "Hour";
		
		this.hourInput = document.createElement("input");
		this.hourDiv.appendChild(this.hourInput );
		this.hourInput.type = "text";
		this.hourInput.className = "tod_input";
	}
	
	{ //min
		this.minDiv = document.createElement("div");
		this.todDiv.appendChild(this.minDiv);
		this.minDiv.className="tw_min_box";
		
		this.minLabel = document.createElement("div");
		this.minDiv.appendChild(this.minLabel);
		this.minLabel.className = "tod_label";
		this.minLabel.innerHTML = "Min";
		
		this.minInput = document.createElement("input");
		this.minDiv.appendChild(this.minInput );
		this.minInput.type = "text";
		this.minInput.className = "tod_input";
	}


	{ //sec
		this.secDiv = document.createElement("div");
		this.todDiv.appendChild(this.secDiv);
		this.secDiv.className="tw_sec_box";
		
		this.secLabel = document.createElement("div");
		this.secDiv.appendChild(this.secLabel);
		this.secLabel.className = "tod_label";
		this.secLabel.innerHTML = "Sec";
		
		this.secInput = document.createElement("input");
		this.secDiv.appendChild(this.secInput );
		this.secInput.type = "text";
		this.secInput.className = "tod_input";
	}


	this.getHour = function getHour() { return this.hourInput.value;	};	
	this.getMin = function getMin() { return this.minInput.value;	};	
	this.getSec = function getSec() { return this.secInput.value;	};		
	
	this.setheader = function setHeader( header) { this.header.value = header; };
	
	this.setHourLabel = function setHourLabel( newLabel ) { this.hourLabel.innerHTML = newLabel; };
	this.setMinLabel = function setMinLabel( newLabel ) { this.minLabel.innerHTML = newLabel; };
	this.setSecLabel = function setSecLabel( newLabel ) { this.secLabel.innerHTML = newLabel; };
			
	function setTime( hour, min, sec) {
		this.hourInput.value = hour;
		this.minInput.value = min;
		this.secInput.value = sec;
	}
}


